Package org.springframework.security.crypto.codec

## Class Utf8

- java.lang.Object
- - org.springframework.security.crypto.codec.Utf8

    public final class Utf8
    extends java.lang.Object

UTF-8 Charset encoder/decoder.

For internal use only.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `decode​(byte[] bytes)` Decode the bytes in UTF-8 form into a String.
`static byte[]` `encode​(java.lang.CharSequence string)` Get the bytes of the String in UTF-8 encoded form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### encode

    public static byte[] encode​(java.lang.CharSequence string)

Get the bytes of the String in UTF-8 encoded form.

#### decode

    public static java.lang.String decode​(byte[] bytes)

Decode the bytes in UTF-8 form into a String.